/**
 *  @license
 *  Copyright CERN and copyright holders of ALICE O2. This software is
 *  distributed under the terms of the GNU General Public License v3 (GPL
 *  Version 3), copied verbatim in the file "COPYING".
 *
 *  See http://alice-o2.web.cern.ch/license for full licensing information.
 *
 *  In applying this license CERN does not waive the privileges and immunities
 *  granted to it by virtue of its status as an Intergovernmental Organization
 *  or submit itself to any jurisdiction.
 */

/**
 * Frozen object that contains the topics used in the Kafka communication grouped by their purpose
 * @returns {Object} - the object containing the topics
 */
exports.Topics = Object.freeze({
  ENVIRONMENT: ['aliecs.environment'],
  INTEGRATED_SERVICE: {
    DCS: ['aliecs.integrated_service.dcs'],
    ODC: ['aliecs.integrated_service.odc'],
  },
  RUN: ['aliecs.run'],
  TASK: ['aliecs.task'],
});
